| Home | Libraries | People | FAQ | More

###### basic_format_context::basic_format_context (3 of 3 overloads)

Move constructor.

###### Synopsis

    basic_format_context(
        basic_format_context&& rhs);

###### Description

Move constructs an `OutputString` using `rhs`'s output string. `*this` will have the same format options and error state than `rhs`. `rhs` is left in a valid but unspecified state.

###### Exception safety

Basic guarantee: exceptions thrown by move-constructing `OutputString` are propagated.